snd_pcm_hw_param_value
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_hw_param_value —

## Synopsis

`int snd_pcm_hw_param_value (` | const struct snd_pcm_hw_params * | params,
| snd_pcm_hw_param_t | var,
| int * | dir`)`;

## Arguments

`params`

  the hw_params instance

`var`

  parameter to retrieve

`dir`

  pointer to the direction (-1,0,1) or NULL

## Description

Return the value for field PAR if it's fixed in configuration space defined by PARAMS. Return -EINVAL otherwise

Prev | Up | Next
snd_pcm_hw_constraint_pow2 | Home | snd_pcm_hw_param_first